function [ Y ] = isordered( X )
% This function checks whether a vector is ordered
% X is a m*n matrix
% Y is a m*1 vector of logical variables

m = size(X,1);
Y = zeros(m,1);

for i = 1:m
    Y(i) = logical(prod(double(sort(X(i,:)) == X(i,:))));
end

end

