function TempG = rnd_G(Para_G,N,rng_set)
% This function randomly generates (fewer than) N realizations from the distribution of G_it

% Set the seed
rng(rng_set);

TempR = randn(9,N);
TempT = Para_G(:,1)*ones(1,N) + Para_G(:,2)*TempR(1,:);

TempG = zeros(size(Para_G,1),N);

for i = 1:8
    TempE = Para_G(:,3)*TempR(i+1,:);
    Tempg = TempT + TempE;
    Tempg(Tempg < 0) = 0;
    Tempg(Tempg > 4) = 4;
    TempG = TempG + Tempg;
end

TempG = TempG/8;

TempG(TempG < 2) = [];

end

