function [ Std ] = std_LN( X )
% This function calculates the standard deviations of students' wage distributions, assuming that the distributions are log-normal. 
% X is a N*5 matrix: N students, each has five values.
% m is a N*1 vector: the standard deviations

sigma = log(X(:,4)./X(:,2))/(norminv(0.75)*2);
Std = X(:,3).*exp(sigma.^2/2).*sqrt(exp(sigma.^2)-1);

end