function [ std_W ] = std_major( W, P )
% This function takes conditional mean matrix W and probability matrix P as
% input and compute the standard deviation of the distribution

var_W = sum(W.^2.*P,2) - sum(W.*P,2).^2;
std_W = sqrt(max(0,var_W));

end

