function [ CriE ] = Obj_Neps00( Pg, ratio, muG, sigmaG)
% This function calculates the weighted sum of discrepancies between observed and model implied probabilities.
% We do not have information on the distribution of epsilon

CriE = (1 - normcdf(3.5,muG,sqrt((1 + ratio^2))*sigmaG))*(1 - normcdf(3.5,muG,sqrt((1 + ratio^2))*sigmaG) - Pg(1))^2 + (normcdf(3.5,muG,sqrt((1 + ratio^2))*sigmaG) - normcdf(3,muG,sqrt((1 + ratio^2))*sigmaG))*(normcdf(3.5,muG,sqrt((1 + ratio^2))*sigmaG) - normcdf(3,muG,sqrt((1 + ratio^2))*sigmaG) - Pg(2))^2 ...
       + (normcdf(3,muG,sqrt((1 + ratio^2))*sigmaG) - normcdf(2,muG,sqrt((1 + ratio^2))*sigmaG))*(normcdf(3,muG,sqrt((1 + ratio^2))*sigmaG) - normcdf(2,muG,sqrt((1 + ratio^2))*sigmaG) - Pg(3))^2 ...
       + (normcdf(2,muG,sqrt((1 + ratio^2))*sigmaG) - normcdf(1,muG,sqrt((1 + ratio^2))*sigmaG))*(normcdf(2,muG,sqrt((1 + ratio^2))*sigmaG) - normcdf(1,muG,sqrt((1 + ratio^2))*sigmaG) - Pg(4))^2 + normcdf(1,muG,sqrt((1 + ratio^2))*sigmaG)*(normcdf(1,muG,sqrt((1 + ratio^2))*sigmaG) - Pg(5))^2;
end

