function [ m ] = mean_LN( X )
% This function calculates the means of students' wage distributions, assuming that the distributions are log-normal. 
% X is a N*5 matrix: N students, each has five values.
% m is a N*1 vector: the means

sigma = log(X(:,4)./X(:,2))/(norminv(0.75)*2);
m = X(:,3).*exp(sigma.^2/2);

end

