function [ m ] = mean_SU( X )
% This function calculates the means of students' wage distributions, assuming that the distributions are stepwise uniform. 
% X is a N*5 matrix: N students, each has five values.
% m is a N*1 vector: the means

N = size(X,1);
m = zeros(N,1);

for i = 1:4
    m = m + (X(:,i) + X(:,i+1))/8;
end

end

