function [ Std ] = std_N( X )
% This function calculates the standard deviations of students' wage distributions, assuming that the distributions are normal. 
% X is a N*5 matrix: N students, each has five values.
% m is a N*1 vector: the standard deviations

Std = (X(:,4) - X(:,2))/(norminv(0.75)*2);

end